Skip to main content
`Ctrl`+`K`

# `silx.gui.plot.actions.medfilt`

`silx.gui.plot.actions.medfilt` provides a set of QAction to apply filter on data contained in a `PlotWidget`.

The following QAction are available:

- `MedianFilterAction`

- `MedianFilter1DAction`

- `MedianFilter2DAction`

class MedianFilterAction(plot, parent=None)

  QAction to plot the pixels intensities diagram

  Parameters:

    - plot – `PlotWidget` instance on which to operate

    - parent – See `QAction`

  getFilteredImage()
    Returns:

      the image with the median filter apply on

class MedianFilter1DAction(plot, parent=None)

  Define the MedianFilterAction for 1D

  Parameters:

    - plot – `PlotWidget` instance on which to operate

    - parent – See `QAction`

class MedianFilter2DAction(plot, parent=None)

  Define the MedianFilterAction for 2D

  Parameters:

    - plot – `PlotWidget` instance on which to operate

    - parent – See `QAction`